package test;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface CategoryRepository extends JpaRepository<Category, Long>, CategoryUpdate {

    Category findByName(String name);

    @Query("select c from Category c where c.name like 'A%'")
    List<Category> findAllStartsWithA();
}
