package test.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import test.CategoryRepository;

import static org.springframework.web.bind.annotation.RequestMethod.GET;

@Controller
@RequestMapping("/")
public class HomeController {

    @Autowired
    private CategoryRepository categoryRepository;

    @ResponseBody
    @RequestMapping(method = GET, value = "/queryByName")
    public String get(String name) {
        return String.valueOf(categoryRepository.findByName(name));
    }


}
